2 lin6632790 lin6632790 于 2015.05.28 09:43 提问

Linux系统swftools工具pdf转swf遇到的问题

Linux系统中下载了swftools-0.9.2.tar.gz这个工具,但是安装之后执行pdf2swf,系统提示无法找到文件。然后我发现bin目录下没有pdf2swf这个文件,安装包解压之后,系统自动配置完成,png2swf、font2swf这些文件都有,唯独类型为executable的pdf2swf文件没有,真是奇怪了。不清楚问题在哪里,请高手帮忙分析一下。
图片说明

4个回答

alfily
alfily   2016.02.25 11:39

问题解决了,因为系统的编译工具不完整导致无法完全编译。
我是手动下载开发包安装的,如果你有权限,直接运行下边的命令即可安装。

  yum install gcc-c++ libstdc++-devel
xiaoyurencao
xiaoyurencao 确实是缺少库类,用yum安装不行,最后手动下载安装解决了
接近 2 年之前 回复
alfily
alfily   2016.01.07 16:36

楼主这个问题解决了吗?
我遇到同样r问题,CentOS6.4,swftools0.9.2,卸载重装也不行
求解答

qq_38119563
qq_38119563   2017.11.27 14:01

版本不对,下载swftools-0.9.1.tar.gz就OK了

qq_38119563
qq_38119563   2017.11.30 19:58

啊,弄错了 是缺少依赖包
执行一下这个命令就OK了
yum install zlib-devel libjpeg-devel giflib-devel freetype-devel

Csdn user default icon
上传中...
上传图片
插入图片
准确详细的回答,更有利于被提问者采纳,从而获得C币。复制、灌水、广告等回答会被删除,是时候展现真正的技术了!